Bug 91984 - INTEL_DEBUG=optimizer not described on mesa envvar page
Summary: INTEL_DEBUG=optimizer not described on mesa envvar page
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Other (show other bugs)
Version: git
Hardware: Other All
: medium normal
Assignee: mesa-dev
QA Contact: mesa-dev
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-09-12 06:39 UTC by Alejandro Piñeiro (freenode IRC: apinheiro)
Modified: 2015-09-15 06:38 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alejandro Piñeiro (freenode IRC: apinheiro) 2015-09-12 06:39:49 UTC
Not sure if this is the proper product/component, but in any case:

http://www.mesa3d.org/envvars.html has a section for i945/i965 envvars. Under INTEL_DEBUG it is not included the option optimizer, which description could be something like:

  * optimizer - dump shader assembly to files at each optimization pass
Comment 1 Kenneth Graunke 2015-09-14 17:54:21 UTC
Feel free to push a patch - it's docs/envvars.html in the Mesa repository.  You might have to ping Brian afterwards to get him to update the website.
Comment 2 Alejandro Piñeiro (freenode IRC: apinheiro) 2015-09-14 18:18:10 UTC
(In reply to Kenneth Graunke from comment #1)
> Feel free to push a patch - it's docs/envvars.html in the Mesa repository. 
> You might have to ping Brian afterwards to get him to update the website.

Thanks for the hints. Patch sent to the list:
http://lists.freedesktop.org/archives/mesa-dev/2015-September/094393.html
Comment 3 Alejandro Piñeiro (freenode IRC: apinheiro) 2015-09-15 06:38:33 UTC
(In reply to Alejandro Piñeiro (freenode IRC: apinheiro) from comment #2)
> (In reply to Kenneth Graunke from comment #1)
> > Feel free to push a patch - it's docs/envvars.html in the Mesa repository. 
> > You might have to ping Brian afterwards to get him to update the website.
> 
> Thanks for the hints. Patch sent to the list:
> http://lists.freedesktop.org/archives/mesa-dev/2015-September/094393.html

Patch reviewed by Matt Turner and pushed to master as commit a26e82b81dc3cebf13c8fd418d87977f2ab2dbb5

Closing bug. Thanks.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.